<div align='center'>

# LeetCode Calendar 

![icon](https://github.com/ankitkr8540/leetcode-calendar/blob/master/assets/leetcode-calendar-logo.png)

</div>

<p align="center">
    LeetCode Calendar: Showcase Your LeetCode Consistency with LeetCode Calendar.
    <br>
    <br>
    Ever tried explaining your coding skills on a resume or portfolio, but felt like it lacked punch? 
    <br>
    The LeetCode Calendar is here to be your coding trophy wall! This nifty npm package lets you display a sleek calendar showcasing your LeetCode journey. No more scrambling to explain those green squares - impress potential employers (or just your coding buddies) with a visual representation of your dedication and problem-solving consistency. It's like a Fitbit for your coding brain - track your progress, showcase your skills, and maybe even inspire some friendly competition! 
    <br>
    <a href="https://github.com/ankitkr8540/leetcode-calendar/issues/new">Report a Bug or request a feature</a>
</p>

![screenshot](https://github.com/ankitkr8540/leetcode-calendar/blob/antara-trials/assets/demo-screenshot.png)

## Installation

Install this extension from the [npm registry](https://www.npmjs.com/package/leetcode-calendar).

Go to your project folder and do 
```jsx
npm install leetcode-calendar
```

## Using LeetCode Calendar

1. Import leetCode calendar in your project
```jsx
import LeetCodeCalendar from 'leetcode-calendar';
```

2. Use the LeetCodeCalendar, for example:

```jsx
export default function Example() {
  const exampleTheme = {
    light: [
      'rgb(235, 235, 235)',
      'rgba(192, 132, 245, 0.44)',
      'rgba(192, 132, 245, 0.6)',
      'rgba(192, 132, 245, 0.76)',
      'rgba(192, 132, 245, 0.92)',
    ],
    dark: [
      'rgb(235, 235, 235)',
      'rgba(192, 132, 245, 0.44)',
      'rgba(192, 132, 245, 0.6)',
      'rgba(192, 132, 245, 0.76)',
      'rgba(192, 132, 245, 0.92)',
    ],
  }

  return (
    <div>
      <LeetCodeCalendar
        username='your_leetcode_username' // Replace with your LeetCode username
        blockSize={15} // Optional: Size of each block in pixels (default: 15)
        blockMargin={5} // Optional: Margin between blocks in pixels (default: 5)
        fontSize={16} // Optional: Font size of the text within blocks (default: 16)
        theme={exampleTheme} // Optional: A custom theme object to style the calendar
        style={{ maxWidth: '1100px' }} // Optional: Inline styles for the calendar container
      />
    </div>
  )
}
```

3. Customization

- username: Replace "your_leetcode_username" with your actual LeetCode username.
- blockSize: This defines the size of each block on the calendar in pixels.
- blockMargin: This sets the margin between blocks on the calendar.
- fontSize: Adjust the font size of the text displayed within each block.
- theme: For advanced customization, you can provide a custom theme object to style the calendar.
- style: Apply inline styles directly to the calendar container.

## Credits

The leetCode calendar was designed by [Ankit Kumar](https://github.com/ankitkr8540), [Lingyun Dai](https://github.com/lingyundai), and [Antara Tewary](https://github.com/StringAna).

The logo was designed in [Free Logo Design](https://app.freelogodesign.org/).

## Thank you

Thanks to all the [contributors](https://github.com/ankitkr8540/leetcode-calendar/graphs/contributors) to this project.
